#include "globalVar.h"
#include <stdio.h>
#include "varDoubleArr.h"



/** this function differentiates vData according to the central difference 
 *  formula and stores the result in the structure aData
 **/
void calcCentralDifference (varDoubleArr* pToVData, varDoubleArr* pToAData, double dSampleRate)
{
  long i;

  for(i=1;i < pToVData->liArrLength-1;i++)
  {
    //a[h] = (v[h+1]-v[h-1])/(2h)
    addItem(pToAData,(pToVData->pfArr[i+1] - pToVData->pfArr[i-1])/(2*dSampleRate));
    //printf("%lf \n",pToAData->pfArr[i-1]);
  }

  //the first and last elements of vData have to be removed as 2 elements
  //get lost with this method
  removeItem(pToVData,0);
  removeItem(pToVData,pToVData->liArrLength-1);

}