#ifndef _INC_VARDOUBLEARR
#define _INC_VARDOUBLEARR

#define VDA_REALLOC_AMOUNT 10

/**
 *structure varDoubleArr - variable Double Array
 **/
struct varDoubleArr
{
  long liArrLength; //number of elements contained
  long iMaxLength; //allocated memory in number of possible doubles
  double *pfArr;  //pointer to the first element
};

typedef struct varDoubleArr varDoubleArr;

int addItem (varDoubleArr *pToStruct, double fValue);
double findMax(varDoubleArr *pToStruct);
double findMin(varDoubleArr *pToStruct);
int removeItem(varDoubleArr *pToStruct, long liIndex);
void freeArray(varDoubleArr *pToStruct);
void convertToMperS(varDoubleArr *pToStruct);
int reduceDataPoints(varDoubleArr *pToStruct, long lNrOfReduct);
#endif

