Attribute VB_Name = "mdStandardSettings"
Option Explicit

Public Sub SettingsLoad()

    Dim i As Integer

    With frmMain
    
            'Center frmMain
            .Top = Screen.Height / 2 - .Height / 2
            .Left = Screen.Width / 2 - .Width / 2
       
        For i = 0 To 4
            'Size one PicBox
            .picGraph(i).Top = .TabGraph.Top + 480
            .picGraph(i).Left = .TabGraph.Left + 200
            .picGraph(i).Width = .TabGraph.Width - 400
            .picGraph(i).Height = .TabGraph.Height - 660
            .picGraph(i).Enabled = True
            .picGraph(i).Visible = True
            If i < 2 Then
                .chkZoomIn(i).Left = .picGraph(i).Width - .chkZoomIn(i).Width - 65
                .chkZoomOut(i).Left = .picGraph(i).Width - .chkZoomOut(i).Width * 2 - 65
            End If
            If i > 1 And i <= 3 Then .chkRef(i - 2).Left = .picGraph(i).Width - .chkRef(i - 2).Width - 65
        
        Next i
        
            .mnuModeDefault.Checked = True
            .mnuModeAdvancedMean.Checked = False
            .mnuModeAdvancedCouple.Checked = False
            .mnuDataComparison.Checked = False
            
            'Adjust comparison field
            .picComparison.Left = .TabGraph.Left
            .picComparison.Height = .TabGraph.Height
            .picComparison.Width = .TabGraph.Width
            .picComparison.Top = .TabGraph.Top
            
    End With
       
End Sub
Public Sub DisableButtonsOnStart()
    With frmMain
    
        .cmdRemove.Enabled = False
        .cmdRemoveAll.Enabled = False
        .cmdCalculate.Enabled = False
        .cmdDraw.Enabled = False
        .cmdMean.Enabled = False
        .cmdCouple.Enabled = False
        .mnuInputData.Enabled = False
        .chkSelectAll.Enabled = False
        .chkSelectAll.Value = 0
        .mnuFileRemove.Enabled = False
        If .rbCompAdd(2).Value = False Then .cmdCompAdd.Enabled = False
    End With
End Sub
Public Sub EnalbeButtons()
    With frmMain
    
        .cmdRemove.Enabled = True
        .cmdRemoveAll.Enabled = True
        .cmdCalculate.Enabled = True
        .cmdDraw.Enabled = True
        .cmdMean.Enabled = True
        .cmdCouple.Enabled = True
        .mnuInputData.Enabled = True
        .chkSelectAll.Enabled = True
        .cmdCompAdd.Enabled = True
        .mnuFileRemove.Enabled = True
        
    End With
End Sub
Public Sub StartSettingsfrmPreview()
    
    With frmPreview
        .cboFilePreview.Clear
        .txtFilePreview.Text = ""
        .cboFilePreview.Enabled = False
        .txtFilePreview.Enabled = False
        .fraPreview.Enabled = False
        .cmdImportData.Enabled = False
        .cmdClear.Enabled = False
        
    End With

End Sub

Sub ChangePictBox(Index As Integer)
    
    Dim i As Integer

    With frmMain
   
    For i = 0 To .TabGraph.Tabs.Count - 1
        
        If i = Index - 1 Then
            .picGraph(i).Top = .TabGraph.Top + 480
            .picGraph(i).Left = .TabGraph.Left + 200
            .picGraph(i).Width = .TabGraph.Width - 400
            .picGraph(i).Height = .TabGraph.Height - 660
            
            .picGraph(i).Enabled = True
            .picGraph(i).Visible = True
            
        Else
            .picGraph(i).Enabled = False
            .picGraph(i).Visible = False
          
        End If
    Next i
    End With
    
End Sub

Sub Scroll()

    On Error Resume Next
    With frmMain
    
    'Only if form is not minimized
    If .WindowState <> 1 And 1 = 1 Then
    
        'If frmMain is smaller then picContainsAll then show VSroll or HSroll
        .VScroll1.Visible = (.picContainsAll.Height > .ScaleHeight)
        .HScroll1.Visible = (.picContainsAll.Width > .ScaleWidth)
          
        .HScroll1.Width = .ScaleWidth - .HScroll1.Height   ' Width of HSroll
        .VScroll1.Height = .ScaleHeight - .VScroll1.Width - .tlbMenue.Height + 50 ' Height of HSroll
        
        'Change position of scrollbars
        .HScroll1.Left = 0
        
        .HScroll1.Top = .ScaleHeight - .HScroll1.Height
        .VScroll1.Left = .ScaleWidth - .VScroll1.Width
        .VScroll1.Top = .tlbMenue.Height
        
        ' Actuate min/max values
        .VScroll1.Max = (.picContainsAll.Height - .ScaleHeight) + _
          .HScroll1.Height
        .HScroll1.Max = (.picContainsAll.Width - .ScaleWidth) + _
          .VScroll1.Width
      End If
      End With
      
End Sub

Public Sub SetCoupledEnabledFalse()
    
    With frmMain
        .mnuModeAdvancedCouple.Checked = False
        .cmdMean.Visible = False
        .cmdCouple.Visible = False
    End With
    
    With frmOptions
        .frmCouple(0).Enabled = False
        .frmCouple(1).Enabled = False
        .frmCouple(2).Enabled = False
        .lblLambdaVar(0).Enabled = False
        .lblLambdaVar(1).Enabled = False
        .lblLambdaVar(2).Enabled = False
        .txtLambdaConst.Enabled = False
        .txtLambdaVar(0).Enabled = False
        .txtLambdaVar(1).Enabled = False
        .optLambdaConst.Enabled = False
        .optLambdaVariable.Enabled = False
        .rbCd(0).Enabled = False
        .rbCd(1).Enabled = False
        .sldLambdaVar.Enabled = False
        
    End With

End Sub

Public Sub SetCoupledEnabledTrue()

        With frmMain
        
        .mnuModeDefault.Checked = False
        .mnuModeAdvancedMean.Checked = False
        .mnuModeAdvancedCouple.Checked = True
        .cmdMean.Visible = True
        .cmdCouple.Visible = True
        
        End With
    
        With frmOptions                     'Options for coupling true
            .txtLambdaConst.Enabled = True
            .optLambdaConst.Enabled = True
            .optLambdaVariable.Enabled = True
            .frmCouple(0).Enabled = True
            .frmCouple(1).Enabled = True
            .frmCouple(2).Enabled = True
            .rbCd(0).Enabled = True
            .rbCd(1).Enabled = True
        End With
        
End Sub


