#ifndef _INC_DATASET
#define _INC_DATASET

#include "varDoubleArr.h"

/**
 * structure dataSet - consists of pointer to vData, aData and
 * resData
 **/
struct dataSet
{
  varDoubleArr vData;   //vData
  varDoubleArr aData;   //aData
  varDoubleArr resData; //resData

  double dDynamicMass;
  double dSampleRate;
 

};

typedef struct dataSet dataSet;
void initalizeDataSets();
void resetAllDataSets();
void resetDataSet(dataSet* pToDataSet);
int equalDataSets(int iFromDataSet, int iToDataSet);

#endif  
