#include "globalVar.h"
#include <stdio.h>

/** this function means data sets - (1) bring data sets to same length
 *  (2) mean data sets
 *  arguments: indices from to data sets; pointer to varDoubleArr to store
 *  mean of data sets
 *  return value: stored in pToMeanResult
 **/
int meanDataSets(int iFromDataSet, int iToDataSet, varDoubleArr* pToMeanResult)
{
  int iNumDataSets = 0;
  int i,j; 
  double fMean;
  long liMin;
  
  iNumDataSets = iToDataSet - iFromDataSet + 1;         //number of DataSets

  if(0 != equalDataSets(iFromDataSet, iToDataSet))
  {
    return 1;
  }

  liMin = arrDataSet[iFromDataSet].vData.liArrLength;
    //calculate mean and store into pToMeanResult
    for (i=0;i<liMin;i++)
    {
      fMean = 0;
      for (j=iFromDataSet;j<=iToDataSet;j++)
      {
        fMean +=  arrDataSet[j].vData.pfArr[i];
      }
      fMean = fMean / iNumDataSets;
      addItem(pToMeanResult,fMean);
    }
  return 0;
}