VERSION 5.00
Begin VB.Form frmDataInput 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Input Parameters"
   ClientHeight    =   5100
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4035
   Icon            =   "frmDataInput.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5100
   ScaleWidth      =   4035
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CheckBox chkEnterDynamicMass 
      Caption         =   "Enter dynamic mass"
      Height          =   315
      Left            =   360
      TabIndex        =   5
      ToolTipText     =   "Option for entering the dynamic mass of the car"
      Top             =   2820
      Width           =   2535
   End
   Begin VB.TextBox txtDynamicMass 
      Alignment       =   1  'Rechts
      Enabled         =   0   'False
      Height          =   315
      Left            =   2340
      TabIndex        =   6
      ToolTipText     =   "Enter the dynamic mass of the car"
      Top             =   3270
      Width           =   1035
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   2700
      TabIndex        =   9
      Top             =   4530
      Width           =   1095
   End
   Begin VB.CheckBox chkInputDataFATheSame 
      Caption         =   "Data valid for all data sets"
      Height          =   315
      Left            =   360
      TabIndex        =   7
      ToolTipText     =   "The entered parameters will be added to each dataset"
      Top             =   4050
      Width           =   2535
   End
   Begin VB.TextBox txtMass 
      Alignment       =   1  'Rechts
      Height          =   315
      Left            =   2340
      TabIndex        =   2
      Text            =   "1598"
      ToolTipText     =   "Enter the mass of the car"
      Top             =   1500
      Width           =   1035
   End
   Begin VB.TextBox txtFrontalArea 
      Alignment       =   1  'Rechts
      Height          =   315
      Left            =   2340
      TabIndex        =   1
      Text            =   "2.06"
      ToolTipText     =   "Enter the frontal area of the car"
      Top             =   1080
      Width           =   1035
   End
   Begin VB.TextBox txtTemperature 
      Alignment       =   1  'Rechts
      Height          =   315
      Left            =   2340
      TabIndex        =   4
      Text            =   "14,9"
      ToolTipText     =   "Enter the temperature of the surrounding air"
      Top             =   2340
      Width           =   1035
   End
   Begin VB.TextBox txtPressure 
      Alignment       =   1  'Rechts
      Height          =   315
      Left            =   2340
      TabIndex        =   3
      Text            =   "95520"
      ToolTipText     =   "Enter the pressure of the surrounding air"
      Top             =   1920
      Width           =   1035
   End
   Begin VB.CommandButton cmdChangeData 
      Caption         =   "Change data"
      Enabled         =   0   'False
      Height          =   375
      Left            =   300
      TabIndex        =   10
      ToolTipText     =   "Change parameter of the given data set"
      Top             =   4530
      Width           =   1095
   End
   Begin VB.CommandButton cmdDataInput 
      Caption         =   "Add data"
      Height          =   375
      Left            =   1500
      TabIndex        =   8
      ToolTipText     =   "Add the given parameter to the data set"
      Top             =   4530
      Width           =   1095
   End
   Begin VB.ComboBox cmbDataInput 
      Height          =   315
      ItemData        =   "frmDataInput.frx":0442
      Left            =   300
      List            =   "frmDataInput.frx":0444
      Style           =   2  'Dropdown-Liste
      TabIndex        =   0
      ToolTipText     =   "Choose the dataset for adding the parameters"
      Top             =   360
      Width           =   3135
   End
   Begin VB.Label lblUnit 
      Caption         =   "Pa"
      Height          =   285
      Index           =   4
      Left            =   3480
      TabIndex        =   20
      Top             =   1950
      Width           =   375
   End
   Begin VB.Label lblUnit 
      Caption         =   "C"
      Height          =   285
      Index           =   3
      Left            =   3480
      TabIndex        =   19
      Top             =   2370
      Width           =   375
   End
   Begin VB.Label lblUnit 
      Caption         =   "kg"
      Enabled         =   0   'False
      Height          =   285
      Index           =   2
      Left            =   3480
      TabIndex        =   18
      Top             =   3300
      Width           =   375
   End
   Begin VB.Label lblUnit 
      Caption         =   "kg"
      Height          =   285
      Index           =   1
      Left            =   3480
      TabIndex        =   17
      Top             =   1530
      Width           =   375
   End
   Begin VB.Label lblUnit 
      Caption         =   "m"
      Height          =   285
      Index           =   0
      Left            =   3480
      TabIndex        =   16
      Top             =   1140
      Width           =   375
   End
   Begin VB.Label lblDynamicMass 
      Caption         =   "Dynamic mass"
      Enabled         =   0   'False
      Height          =   315
      Left            =   360
      TabIndex        =   15
      Top             =   3330
      Width           =   1335
   End
   Begin VB.Label lblPressure 
      Caption         =   "Pressure "
      Height          =   315
      Left            =   360
      TabIndex        =   14
      Top             =   1920
      Width           =   1275
   End
   Begin VB.Label lblTemperature 
      Caption         =   "Temperature"
      Height          =   315
      Left            =   360
      TabIndex        =   13
      Top             =   2340
      Width           =   1335
   End
   Begin VB.Label lblFrontalArea 
      Caption         =   "Frontal area "
      Height          =   315
      Left            =   360
      TabIndex        =   12
      Top             =   1080
      Width           =   1215
   End
   Begin VB.Label lblMass 
      Caption         =   "Mass of car"
      Height          =   315
      Left            =   360
      TabIndex        =   11
      Top             =   1500
      Width           =   1215
   End
End
Attribute VB_Name = "frmDataInput"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmbDataInput_Click()
    If cmbDataInput.ListIndex > -1 Then CheckDataSet        'Check if data set has already parameters
End Sub

Private Sub cmdChangeData_Click()
    chkInputDataFATheSame.Value = 0
    SetEnabledTrue                                  'Enable text boxes
End Sub

Private Sub cmdDataInput_Click()
    Dim i As Integer
    
    If CheckInputData = 0 Then                      'Data must be valid
       If chkInputDataFATheSame.Value = 1 Then      'Input data is for all data sets valid
            For i = 0 To cmbDataInput.ListCount - 1
                AddInputData i
            Next
            SetEnabledFalse                          'Disable text boxes
        Else:
            AddInputData cmbDataInput.ListIndex     'Add the content of the text-boxes to the dataset
            SetEnabledFalse
        End If
    Else:
        DataFieldsInit 'Init all textbboxes
    End If
End Sub

Private Sub cmdOk_Click()
   
    frmMain.Enabled = True
    chkInputDataFATheSame.Value = 0
    frmDataInput.Hide                 'Hide form
    DoEvents
    'Calculation if calculate or couple was pressed before
    Select Case bCalcAutomaticAfterDatainput
        Case 1
            frmMain.cmdCalculate_Click
        Case 2
             frmMain.cmdCouple_Click
    End Select
    
    bCalcAutomaticAfterDatainput = 0
End Sub

Public Sub Form_Load()
    
    Me.Top = Screen.Height / 2 - Me.Height / 2
    Me.Left = Screen.Width / 2 - Me.Width / 2
    
    DataFieldsInit          'Init text boxes
    SetEnabledTrue          'Enable text boxes
    
    FillCombo               'Fill combo box if form is loaded
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    frmMain.Enabled = True
    bCalcAutomaticAfterDatainput = 0
End Sub

'Dynamic mass handling
Private Sub chkEnterDynamicMass_Click()

    If chkEnterDynamicMass.Value = 1 Then
        txtDynamicMass.Enabled = True
        lblDynamicMass.Enabled = True
        lblUnit(2).Enabled = True
    Else
        txtDynamicMass.Enabled = False
        lblDynamicMass.Enabled = False
        lblUnit(2).Enabled = False
    End If
End Sub
