VERSION 5.00
Begin VB.Form frmPreview 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "File Preview"
   ClientHeight    =   5820
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   6135
   Icon            =   "frmPreview.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5820
   ScaleWidth      =   6135
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton cmdClear 
      Caption         =   "Clear list"
      Height          =   375
      Left            =   4530
      TabIndex        =   3
      ToolTipText     =   "Clear preview boxes"
      Top             =   1560
      Width           =   1455
   End
   Begin VB.CommandButton cmdSetFileFormat 
      Caption         =   "Set file format..."
      Height          =   375
      Left            =   4530
      TabIndex        =   5
      ToolTipText     =   "Adjust the file format"
      Top             =   2040
      Width           =   1455
   End
   Begin VB.Frame fraPreview 
      Caption         =   "File Preview"
      Height          =   5295
      Left            =   180
      TabIndex        =   4
      Top             =   300
      Width           =   4155
      Begin VB.TextBox txtFilePreview 
         Height          =   4275
         Left            =   180
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Beides
         TabIndex        =   7
         TabStop         =   0   'False
         Top             =   840
         Width           =   3795
      End
      Begin VB.ComboBox cboFilePreview 
         Height          =   315
         Left            =   180
         Style           =   2  'Dropdown-Liste
         TabIndex        =   0
         Top             =   420
         Width           =   3795
      End
   End
   Begin VB.CommandButton mnuCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4530
      TabIndex        =   6
      Top             =   2700
      Width           =   1455
   End
   Begin VB.CommandButton cmdImportData 
      Caption         =   "Import dataset"
      Height          =   375
      Left            =   4530
      TabIndex        =   2
      ToolTipText     =   "Import data sets to main frame"
      Top             =   900
      Width           =   1455
   End
   Begin VB.CommandButton cmdLoadData 
      Caption         =   "Load dataset..."
      Height          =   375
      Left            =   4530
      TabIndex        =   1
      ToolTipText     =   "Load dataset to preview box"
      Top             =   420
      Width           =   1455
   End
End
Attribute VB_Name = "frmPreview"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'Combo control
Private Sub cboFilePreview_Click()
    txtFilePreview.Text = mdDataOpenForCheck.FileRead(sFile(0) & cboFilePreview.Text)
End Sub

'Clear text box
Private Sub cmdClear_Click()
    StartSettingsfrmPreview
    frmMain.cmdlg.FileName = ""
End Sub

'Import data
Private Sub cmdImportData_Click()
    AddDataSet (1)
    cmdClear_Click
    frmMain.Enabled = True
    frmPreview.Hide
End Sub

'Load files
Private Sub cmdLoadData_Click()

    Dim i As Integer
    'Start settings
    AddDataSet (0)
    cboFilePreview.Clear
    txtFilePreview.Text = ""
    
    If frmMain.cmdlg.FileName <> "" Then
        
        For i = 1 To UBound(sFile)
                cboFilePreview.AddItem sFile(i)
        Next i
        EnableAll
    
        fraPreview.Enabled = True
        cboFilePreview.ListIndex = 0
    End If
    frmMain.cmdlg.FileName = ""

End Sub

'Adjust file format
Private Sub cmdSetFileFormat_Click()

    bOptionsCalledByPreview = 1
    OptionsInit                         'Load settings
    frmOptions.Show vbModal             'Show form
    
End Sub

'Enable buttons
Private Sub EnableAll()

    cboFilePreview.Enabled = True
    txtFilePreview.Enabled = True
    fraPreview.Enabled = True
    cmdImportData.Enabled = True
    cmdClear.Enabled = True

End Sub

Private Sub Form_Load()
    StartSettingsfrmPreview
    Me.Top = Screen.Height / 2 - Me.Height / 2
    Me.Left = Screen.Width / 2 - Me.Width / 2

End Sub

Private Sub Form_Unload(Cancel As Integer)
     cmdClear_Click
     frmMain.Enabled = True
End Sub

Private Sub mnuCancel_Click()
    cmdClear_Click
    frmMain.Enabled = True
    frmPreview.Hide
End Sub
