VERSION 5.00
Begin VB.Form frmPrint 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Print Options"
   ClientHeight    =   3165
   ClientLeft      =   4800
   ClientTop       =   3330
   ClientWidth     =   6225
   Icon            =   "frmPrint.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3165
   ScaleWidth      =   6225
   ShowInTaskbar   =   0   'False
   Begin VB.Frame fraPrintComparison 
      Caption         =   "Comparison"
      Height          =   1300
      Left            =   255
      TabIndex        =   14
      Top             =   1590
      Width           =   1800
      Begin VB.CheckBox chkPrintComp 
         Caption         =   "fr0"
         Height          =   345
         Index           =   1
         Left            =   330
         TabIndex        =   5
         ToolTipText     =   "Enable to print "
         Top             =   780
         Value           =   1  'Aktiviert
         Width           =   855
      End
      Begin VB.CheckBox chkPrintComp 
         Caption         =   "Cd"
         Height          =   345
         Index           =   0
         Left            =   330
         TabIndex        =   4
         ToolTipText     =   "Enable to print "
         Top             =   300
         Value           =   1  'Aktiviert
         Width           =   855
      End
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Height          =   375
      Left            =   4455
      TabIndex        =   9
      Top             =   300
      Width           =   1455
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4455
      TabIndex        =   10
      Top             =   780
      Width           =   1455
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "Print..."
      Height          =   375
      Left            =   4455
      TabIndex        =   11
      ToolTipText     =   "Print selected"
      Top             =   1710
      Width           =   1455
   End
   Begin VB.Frame fraPrintGraphs 
      Caption         =   "Graphs"
      Height          =   2715
      Left            =   2340
      TabIndex        =   13
      Top             =   180
      Width           =   1800
      Begin VB.CheckBox chkPrintGraph 
         Caption         =   "fr0 (c)"
         Height          =   315
         Index           =   3
         Left            =   330
         TabIndex        =   7
         ToolTipText     =   "Enable to print "
         Top             =   1740
         Value           =   1  'Aktiviert
         Width           =   795
      End
      Begin VB.CheckBox chkPrintGraph 
         Caption         =   "Q (c) "
         Height          =   315
         Index           =   4
         Left            =   330
         TabIndex        =   8
         ToolTipText     =   "Enable to print "
         Top             =   2220
         Value           =   1  'Aktiviert
         Width           =   795
      End
      Begin VB.CheckBox chkPrintGraph 
         Caption         =   "Cd (c) "
         Height          =   315
         Index           =   2
         Left            =   330
         TabIndex        =   6
         ToolTipText     =   "Enable to print "
         Top             =   1260
         Value           =   1  'Aktiviert
         Width           =   795
      End
      Begin VB.CheckBox chkPrintGraph 
         Caption         =   "a (t)"
         Height          =   315
         Index           =   1
         Left            =   330
         TabIndex        =   3
         Top             =   780
         Value           =   1  'Aktiviert
         Width           =   1155
      End
      Begin VB.CheckBox chkPrintGraph 
         Caption         =   "v (t)"
         Height          =   315
         Index           =   0
         Left            =   330
         TabIndex        =   2
         Top             =   300
         Value           =   1  'Aktiviert
         Width           =   1155
      End
   End
   Begin VB.Frame fraPrintData 
      Caption         =   "Data"
      Height          =   1335
      Left            =   255
      TabIndex        =   12
      Top             =   180
      Width           =   1800
      Begin VB.CheckBox chkPrintData 
         Caption         =   "Solutions"
         Height          =   375
         Index           =   1
         Left            =   330
         TabIndex        =   1
         ToolTipText     =   "Enable to print "
         Top             =   780
         Value           =   1  'Aktiviert
         Width           =   1335
      End
      Begin VB.CheckBox chkPrintData 
         Caption         =   "Input Data"
         Height          =   375
         Index           =   0
         Left            =   330
         TabIndex        =   0
         ToolTipText     =   "Enable to print "
         Top             =   300
         Value           =   1  'Aktiviert
         Width           =   1275
      End
   End
End
Attribute VB_Name = "frmPrint"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
    frmMain.Enabled = True
    frmPrint.Hide
End Sub


Private Sub Form_Load()
    Me.Top = Screen.Height / 2 - Me.Height / 2
    Me.Left = Screen.Width / 2 - Me.Width / 2
End Sub

Private Sub Form_Unload(Cancel As Integer)
    frmMain.Enabled = True
    frmPrint.Hide
End Sub


Private Sub cmdOk_Click()

    Dim i As Byte
    Dim bCheckByte As Byte
    
    'Check if user checked any option
    For i = 0 To 1
        bCheckByte = bCheckByte + chkPrintData(i).Value
    Next i
    
    For i = 0 To 4
        bCheckByte = bCheckByte + chkPrintGraph(i).Value
    Next i
    
    For i = 0 To 1
        bCheckByte = bCheckByte + chkPrintComp(i).Value
    Next i
    
    If bCheckByte > 0 Then
        frmMain.Enabled = True
        SavePrintSettings
        frmPrint.Hide
    Else
        MsgBox ("You have not selected a graph or a dataset!"), vbOKOnly
    End If

End Sub

Private Sub cmdPrint_Click()

    Dim i As Byte
    Dim bCheckByte As Byte
    
    'Checkif user checked any option
    For i = 0 To 1
        bCheckByte = bCheckByte + chkPrintData(i).Value
    Next i
    
    For i = 0 To 4
        bCheckByte = bCheckByte + chkPrintGraph(i).Value
    Next i
    
    For i = 0 To 1
        bCheckByte = bCheckByte + chkPrintComp(i).Value
    Next i
    
    If bCheckByte > 0 Then
        SavePrintSettings
        mdPrint.Print_Document
        frmPrint.Hide
        frmMain.Enabled = True
    Else
        MsgBox ("You have not selected a graph or a dataset!"), vbOKOnly
    End If
    
End Sub

Private Sub SavePrintSettings()

    Dim i As Integer

    For i = 0 To 1
        bPrintsettings(i) = chkPrintData(i).Value
    Next i
    
    For i = 0 To 4
        bPrintsettings(i + 2) = chkPrintGraph(i).Value
    Next i
    
    For i = 0 To 1
        bPrintsettings(i + 7) = chkPrintComp(i).Value
    Next i
    
End Sub

Public Sub LoadPrintSettings()

    Dim i As Integer

    For i = 0 To 1
        chkPrintData(i).Value = bPrintsettings(i)
    Next i
    
    For i = 0 To 4
       chkPrintGraph(i).Value = bPrintsettings(i + 2)
    Next i
    
    For i = 0 To 1
        chkPrintComp(i).Value = bPrintsettings(i + 7)
    Next i

End Sub
