VERSION 5.00
Begin VB.Form frmRef 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "Reference"
   ClientHeight    =   2475
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   3345
   Icon            =   "frmRef.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2475
   ScaleWidth      =   3345
   StartUpPosition =   3  'Windows-Standard
   Begin VB.Frame fraStyle 
      Caption         =   "Color/Style"
      Height          =   795
      Left            =   180
      TabIndex        =   3
      Top             =   990
      Width           =   3015
      Begin VB.PictureBox picColor 
         Appearance      =   0  '2D
         BackColor       =   &H8000000D&
         BorderStyle     =   0  'Kein
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   480
         ScaleHeight     =   255
         ScaleWidth      =   255
         TabIndex        =   4
         Top             =   330
         Width           =   255
      End
      Begin VB.ComboBox cmbLineStyle 
         Height          =   315
         ItemData        =   "frmRef.frx":0442
         Left            =   1380
         List            =   "frmRef.frx":044F
         Style           =   2  'Dropdown-Liste
         TabIndex        =   1
         Top             =   300
         Width           =   1275
      End
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   1860
      TabIndex        =   5
      Top             =   1920
      Width           =   1335
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "OK"
      Height          =   375
      Left            =   180
      TabIndex        =   2
      Top             =   1920
      Width           =   1335
   End
   Begin VB.TextBox txtRef 
      Alignment       =   1  'Rechts
      Height          =   285
      Left            =   1920
      TabIndex        =   0
      Text            =   "0,3"
      Top             =   420
      Width           =   915
   End
   Begin VB.Frame fraValue 
      Caption         =   "Value"
      Height          =   795
      Left            =   180
      TabIndex        =   6
      Top             =   120
      Width           =   3015
      Begin VB.Label lblRef 
         Caption         =   "Cd Reference"
         Height          =   405
         Left            =   300
         TabIndex        =   7
         Top             =   360
         Width           =   1215
      End
   End
End
Attribute VB_Name = "frmRef"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim lColor As Long
Dim dRef As Double

'Draw reference line
Private Sub DrawRef()
      
    With frmMain
    Select Case cmbLineStyle.ListIndex
        Case 0: .picGraph(bRefIndex + 2).DrawStyle = 0
        Case 1: .picGraph(bRefIndex + 2).DrawStyle = 1
        Case 2: .picGraph(bRefIndex + 2).DrawStyle = 3
    End Select

    If lColor = 0 Then lColor = picColor.BackColor
  
        .picGraph(bRefIndex + 2).Line (0, dRef)-(0.9 * .picGraph(bRefIndex + 2).ScaleWidth, dRef), lColor
        .picGraph(bRefIndex + 2).DrawStyle = 0
    End With
    
End Sub

Private Sub cmdCancel_Click()
    Form_Unload 1
End Sub

'Check inputs and draw reference line
Private Sub cmdOk_Click()

    If IsNumeric(txtRef.Text) Then
        If CDbl(Del(txtRef.Text)) > 0 And CDbl(Del(txtRef.Text)) < 0.5 Then
            dRef = CDbl(Del(txtRef.Text))
            DrawRef
            frmMain.chkRef(bRefIndex).Value = 0
            frmMain.Enabled = True
            Form_Unload (1)
        Else
            MsgBox ("This reference is not valid, it is out of the possible range!"), vbInformation
            If bRefIndex = 0 Then txtRef.Text = 0.3 Else txtRef.Text = 0.012
        End If
    Else
        MsgBox ("Input data have to be numeric!"), vbInformation
       If bRefIndex = 0 Then txtRef.Text = 0.3 Else txtRef.Text = 0.012
    End If

End Sub

Private Sub Form_Load()
    Me.Top = Screen.Height / 2 - Me.Height / 2
    Me.Left = Screen.Width / 2 - Me.Width / 2
End Sub

Private Sub Form_Unload(Cancel As Integer)

    frmMain.chkRef(bRefIndex).Value = 0
    frmMain.Enabled = True
    frmRef.Hide
    
End Sub

'Get color for reference
Private Sub picColor_Click()
    GetColor lColor
    picColor.BackColor = lColor
End Sub
