Attribute VB_Name = "mdFlexGrid"
Option Explicit

'Initialize flex grid
Sub TableSet()

    With frmMain
    Dim i As Integer
        
        'Set width
        .fgrFileTable.Width = 0.835 * .fraDataInput.Width
        
        'Set width of rows and columns
        .fgrFileTable.ColWidth(0) = .fgrFileTable.Width * 0.02
        .fgrFileTable.ColWidth(1) = .fgrFileTable.Width * 0.27
        .fgrFileTable.ColWidth(2) = .fgrFileTable.Width * 0.02

        For i = 3 To 8
            .fgrFileTable.ColWidth(i) = .fgrFileTable.Width * 0.68 / 6
        Next
        
        For i = 0 To 10
            .fgrFileTable.RowHeight(i) = .fgrFileTable.Height / 11 * 0.98
        Next
        
        'Write header
        .fgrFileTable.Row = 0
        
        .fgrFileTable.Col = 1
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "Filename"
        
        .fgrFileTable.Col = 3
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "Density (kg/m)"
        
        .fgrFileTable.Col = 4
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "Cd"
        
        .fgrFileTable.Col = 5
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "fr0"
        
        .fgrFileTable.Col = 6
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "a0"
        
        .fgrFileTable.Col = 7
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "a2"
        
        .fgrFileTable.Col = 8
        .fgrFileTable.CellAlignment = 4
        .fgrFileTable.Text = "Q"
    
    End With
    
End Sub

Sub CheckBoxes()
    
    
    With frmMain.fgrFileTable
        'Set pictures of checkboxes to flexgrid
        If .Col = 0 And .Row > 0 And .Row <= iNumberOfDataSets Then
        
            If bChecked(.Row - 1) = False Then
                Set .CellPicture = Nothing
                Set .CellPicture = frmMain.picChecked(0).Picture
                bChecked(.Row - 1) = True
            Else
                Set .CellPicture = Nothing
                Set .CellPicture = frmMain.picChecked(1).Picture
                 bChecked(.Row - 1) = False
                 'If frmMain.chkSelectAll.Value = 1 Then frmMain.chkSelectAll.Value = 0
            End If
          
        End If
        
        'Change Color of checkboxes
        
        If .Col = 2 And .Row > 0 And .Row <= iNumberOfDataSets Then
            GetColor typDataset(.Row - 1).Color
            frmMain.picFGColor.BackColor = typDataset(.Row - 1).Color
            
            'Add color box
            
            .CellPictureAlignment = 4
            Set .CellPicture = Nothing
            Set .CellPicture = frmMain.picFGColor.Image
        End If
    End With
    
End Sub
