Attribute VB_Name = "mdZoom"
Option Explicit

Dim ZoomMouseXDown, ZoomMouseYDown, ZoomMouseXUp, ZoomMouseYUp As Integer

Sub SaveFirstPoint(X As Single, Y As Single)
    
    ZoomMouseXDown = X      'Save coordinates for the first point
    ZoomMouseYDown = Y

End Sub

Sub SaveSecondPoint(X As Single, Y As Single)
    
    ZoomMouseXUp = X        'Save coordinates for the second point
    ZoomMouseYUp = Y

End Sub

Sub ZoomDrawRectangle(Index As Integer, Button As Integer, X As Single, Y As Single)

    With frmMain
    
        .picGraph(Index).MousePointer = vbCrosshair     'New mousepointer
        .picGraph(Index).AutoRedraw = False             'Save background
        .picGraph(Index).Cls
        
        'Draw the cross lines
        .picGraph(Index).Line (.picGraph(Index).ScaleLeft, Y)-(.picGraph(Index).ScaleLeft + .picGraph(Index).ScaleWidth, Y), vbGrayText
        .picGraph(Index).Line (X, .picGraph(Index).ScaleTop)-(X, .picGraph(Index).ScaleTop + .picGraph(Index).ScaleHeight), vbGrayText
        
        'Draw the rectangle
        If Button = 1 Then
            .picGraph(Index).DrawStyle = vbDot
                .picGraph(Index).Line (ZoomMouseXDown, ZoomMouseYDown)-(X, Y), vbGrayText, B
            .picGraph(Index).DrawStyle = 0
        End If
    End With
    
End Sub

Public Sub ZoomIn(Index As Integer)

    Dim x1Coordinate As Double
    Dim x2Coordinate As Double
    Dim y1Coordinate As Double
    Dim y2Coordinate As Double

    With frmMain
    
        .picGraph(Index).AutoRedraw = True
        
        'Check if mouseup coordinate or mousedown coordinate is lower then 0
        'that the time axe cannot be <0
        If ZoomMouseXDown < 0 Then ZoomMouseXDown = 0
        If ZoomMouseXUp < 0 Then ZoomMouseXUp = 0
        
        'Sorting Coordinates for scale
        If ZoomMouseXDown < ZoomMouseXUp Then
            x1Coordinate = ZoomMouseXDown
            x2Coordinate = ZoomMouseXUp
            Else
            x1Coordinate = ZoomMouseXUp
            x2Coordinate = ZoomMouseXDown
        End If
        
        If ZoomMouseYDown > ZoomMouseYUp Then
            y2Coordinate = ZoomMouseYDown
            y1Coordinate = ZoomMouseYUp
        Else
            y2Coordinate = ZoomMouseYUp
            y1Coordinate = ZoomMouseYDown
        End If
        
        'Scale picture, redraw graph and axis
        If Abs(x2Coordinate - x1Coordinate) > 0.0005 And Abs(y2Coordinate - y1Coordinate) > 0.0005 _
        Then
                If Index = 0 Then Draw lNumberOfSDS, 0, x1Coordinate, x2Coordinate, y1Coordinate, y2Coordinate
                If Index = 1 Then Draw lNumberOfCalc, 1, x1Coordinate, x2Coordinate, y1Coordinate, y2Coordinate
        End If
    
    End With
End Sub
